using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wIMG:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:23
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("图片","网站页面","图片",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();

	String 图片=Request.QueryString["img"];
	int 宽度=Convert.ToInt32(Request.QueryString["w"]);
	int 高度=Convert.ToInt32(Request.QueryString["h"]);

	if(!System.IO.File.Exists(Server.MapPath(图片)))
		Response.End();

	System.Drawing.Bitmap _图片=new System.Drawing.Bitmap(Server.MapPath(图片));
	System.Drawing.Bitmap 新图片=new System.Drawing.Bitmap(_图片,宽度,高度);

	Response.ContentType="image/gif";

	新图片.Save(Response.OutputStream,System.Drawing.Imaging.ImageFormat.Jpeg);

	新图片.Dispose();
	_图片.Dispose();		返回值.Append(@"");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
}